Subject: Re: linux-next: build failure after merge of the mfd tree

From: Arnd Bergmann <[email-masked]>
Date: Thu, 15 Oct 2015 14:28:20 +0200

On Thursday 15 October 2015 14:04:07 Christoph Hellwig wrote:
> On Thu, Oct 15, 2015 at 10:59:32AM +0200, Arnd Bergmann wrote:
> > The patch looks good, should we do something to prevent that from
> > becoming a problem when Linus pulls our branches?
> > 
> > This commit is at the bottom of my asm-generic git tree, so Lee could merge
> > that one commit into his tree and fix up the merge correctly.
> > 
> > However, I also now see that drivers/net/ethernet/hisilicon/hns/hns_dsaf_xgmac.c
> > has the same problem, so maybe it's better to add a temporary file
> > with the old name containing "#include <linux/io-64-nonatomic-lo-hi.h>",
> > which I will remove in the following merge window or as a follow-up.
> 
> I guess we really need that.  Do you want to do a quick fixup or should I send
> a patch?

I've applied this one now.

	Arnd

>>From b3d8d0ee6c9781d54d4180c5f1d36a12f0437c86 Mon Sep 17 00:00:00 2001
From: Arnd Bergmann <[email-masked]>
Date: Thu, 15 Oct 2015 14:24:45 +0200
Subject: [PATCH] asm-generic: temporarily add back
 asm-generic/io-64-nonatomic-hi-lo.h

New users of this file still start showing up in linux-next, so it's
better to have a migration strategy. All existing users as of 4.3-rc4
are converted to use linux/io-64-nonatomic-hi-lo.h, and after 4.4-rc1
we can change all the new ones that have come in since, and then
remove this file again.

Signed-off-by: Arnd Bergmann <[email-masked]>
Reported-by: LKP project <[email-masked]>

diff --git a/include/asm-generic/io-64-nonatomic-hi-lo.h b/include/asm-generic/io-64-nonatomic-hi-lo.h
new file mode 100644
index 000000000000..32b73abce1b0
--- /dev/null
+++ b/include/asm-generic/io-64-nonatomic-hi-lo.h
@@ -0,0 +1,2 @@
+/* XXX: delete asm-generic/io-64-nonatomic-hi-lo.h after converting new users */
+#include <linux/io-64-nonatomic-hi-lo.h>